Name: x11-driver-input-joystick
Version: 1.6.3
Release: %mkrel 2
Summary: X.org input driver for joysticks
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-joystick-%{version}.tar.bz2
License: MIT

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: xorg-x11-server < 7.0

%description
Joystick is an X.org input driver for joysticks.

%prep
%autosetup -p1 -n xf86-input-joystick-%{version}

%build
%configure2_5x --prefix=/usr
%make

%install
%makeinstall_std

#(eandry) remove devel file, create a devel package if needed
rm -rf %{buildroot}%{_includedir}/xorg/*.h
rm -rf %{buildroot}%{_libdir}/pkgconfig/*.pc

%files
%{_libdir}/xorg/modules/input/joystick_drv.la
%{_libdir}/xorg/modules/input/joystick_drv.so
%_mandir/man4/*




%changelog
* Sun Nov 20 2016 tv <tv> 1.6.3-2.mga6
+ Revision: 1068474
- droped merged patch
- new release

* Thu Nov 17 2016 tv <tv> 1.6.2-16.mga6
+ Revision: 1067702
- add patch for xserver 1.19
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.6.2-14.mga6
+ Revision: 1043336
- rebuild for xorg-server 1.18.4

* Tue Jan 19 2016 neoclust <neoclust> 1.6.2-13.mga6
+ Revision: 925863
- Rebuild to have correct requires on ARM

* Wed Nov 11 2015 tv <tv> 1.6.2-12.mga6
+ Revision: 902258
- submit to core/release

* Tue Nov 10 2015 tv <tv> 1.6.2-11.mga6
+ Revision: 901419
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 1.6.2-10.mga6
+ Revision: 835939
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-9.mga5
+ Revision: 742192
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-8.mga5
+ Revision: 690405
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.6.2-7.mga5
+ Revision: 634957
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.6.2-6.mga5
+ Revision: 633626
- rebuild for new xserver RC

* Fri Jun 06 2014 tv <tv> 1.6.2-5.mga5
+ Revision: 633612
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.6.2-4.mga5
+ Revision: 614298
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.6.2-3.mga5
+ Revision: 582186
- rebuild for new xserver

* Mon Oct 21 2013 umeabot <umeabot> 1.6.2-2.mga4
+ Revision: 539299
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 tv <tv> 1.6.2-1.mga4
+ Revision: 491904
- new release

* Thu May 30 2013 tv <tv> 1.6.1-6.mga4
+ Revision: 433095
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.6.1-5.mga4
+ Revision: 385944
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 tv <tv> 1.6.1-4.mga3
+ Revision: 289352
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 1.6.1-3.mga3
+ Revision: 256321
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.6.1-2.mga3
+ Revision: 252977
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.6.1-1.mga3
+ Revision: 249780
- new release

* Tue Dec 06 2011 tmb <tmb> 1.6.0-5.mga2
+ Revision: 177486
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.6.0-4.mga2
+ Revision: 153310
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 1.6.0-3.mga2
+ Revision: 153294
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 1.6.0-2.mga2
+ Revision: 153080
- rebuild for xserver-1.11

* Sat Apr 30 2011 tv <tv> 1.6.0-1.mga1
+ Revision: 93626
- new release (xserver-1.10 compatible)

* Sat Mar 05 2011 tmb <tmb> 1.5.0-6.mga1
+ Revision: 64847
- fix build with x11-server 1.10

  + tv <tv>
    - rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.5.0-4.mga1
+ Revision: 50151
- imported package x11-driver-input-joystick

